### Hierarchy

- XmlComponent
  - Relationships

## Index

### Constructors

- constructor

### Properties

- deleted
- root
- rootKey

### Accessors

- RelationshipCount
- isDeleted

### Methods

- addChildElement
- addRelationship
- createRelationship
- delete
- prepForXml

## Constructors

### constructor

- new Relationships(): Relationships

- Overrides XmlComponent.constructor

  - Defined in file/relationships/relationships.ts:5

  #### Returns Relationships

## Properties

### Protected deleted

deleted: boolean = false

Inherited from BaseXmlComponent.deleted

- Defined in file/xml-components/base.ts:5

### Protected root

root: Array<BaseXmlComponent | string>

Inherited from XmlComponent.root

- Defined in file/xml-components/xml-component.ts:6

### Protected rootKey

rootKey: string

Inherited from BaseXmlComponent.rootKey

- Defined in file/xml-components/base.ts:4

## Accessors

### RelationshipCount

- get RelationshipCount(): number

- - Defined in file/relationships/relationships.ts:26

  #### Returns number

### isDeleted

- get isDeleted(): boolean

- Inherited from BaseXmlComponent.isDeleted

  - Defined in file/xml-components/base.ts:13

  #### Returns boolean

## Methods

### addChildElement

- addChildElement(child: XmlComponent | string): XmlComponent

- Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:34

  #### Parameters

  - ##### child: XmlComponent | string

  #### Returns XmlComponent

### addRelationship

- addRelationship(relationship: Relationship): void

- - Defined in file/relationships/relationships.ts:15

  #### Parameters

  - ##### relationship: Relationship

  #### Returns void

### createRelationship

- createRelationship(id: number, type: RelationshipType, target: string, targetMode?: TargetModeType): Relationship

- - Defined in file/relationships/relationships.ts:19

  #### Parameters

  - ##### id: number

  - ##### type: RelationshipType

  - ##### target: string

  - ##### Optional targetMode: TargetModeType

  #### Returns Relationship

### delete

- delete(): void

- Inherited from XmlComponent.delete

  - Defined in file/xml-components/xml-component.ts:40

  #### Returns void

### prepForXml

- prepForXml(): IXmlableObject

- Inherited from XmlComponent.prepForXml

  Overrides BaseXmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:13

  #### Returns IXmlableObject

Generated using TypeDoc